<?php
session_start();

// msql_query("SET lc_time_names = 'en_US'");
 $_SESSION['user_mobile']=$_POST['mobile'];

// echo 'aqui';
// require('../cfg/res.php');
require('../../_lib/crea_usrdoc.php');
require('../../_lib/vr_updcol.php');

include('php_data1.php');

if(file_exists('../_cfg/config.php')){include ('../_cfg/config.php');}

$cr_usrdc=new crea_usrdoc('../cfg/res.php',$_POST['txt_ci']);


//////



die();

///////////////////
// ACTUALIZACIONES
///////////////////


$ambi=r_fiel('empr',$cfg_empr,'ambice');
msql_query('update ptov0 set ptov_ambice="'.$ambi.'" where ptov_ambice is null',$link_vcrx);
msql_query('update ptov0 set ptov_ambice="2" where substring(ptov_ptoe,4,1)=1',$link_vcrx);
msql_query('update ptoe0 set ptoe_ambice="2" where substring(ptoe_codigo,4,1)=1',$link_vcrx);


msql_query('update enti0 set enti_status="-" where enti_lused>="2019-01-01" and enti_status="X" and substring(enti_codigo,3,1)="9"',$link_vcrx);
msql_query('delete from usrdoc1 where full is null and nuev is null and modi is null and apro is null and proc is null and anul is null and elim is null and elim is null and info is null and espe is null and  cons is null');


$tabla='item';
msql_query('insert into '.$tabla.'0('.$tabla.'_codigo,'.$tabla.'_descri,'.$tabla.'_iva)value("8888888888","ITEMS VARIOS","12")',$link_vcrx);

msql_query("SET lc_time_names = 'es_EC'");
// msql_query('update enti0,cdad0 set enti_ciudad=cdad_descri where enti_cdad=cdad_codigo and (enti_ciudad="" or enti_ciudad is null)',$link_vcrx);

msql_query('update caja0 set caja_ptoe=concat("001",substring(caja_codigo,2,3))',$link_vcrx);
msql_query('update ctab0 set ctab_ptoe=concat("001",substring(ctab_codigo,2,3))',$link_vcrx);

msql_query('update caja1 set caba=caja ',$link_vcrx);
msql_query('update bcos1 set caba=ctab ',$link_vcrx);
msql_query('update bcos1,ctab0 set ptoe=ctab_ptoe where ctab=ctab_codigo',$link_vcrx);
msql_query('update caja1,caja0 set ptoe=caja_ptoe where caja=caja_codigo',$link_vcrx);

$sql_updvico='update bode0 set bode_status="-"';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

$sql_updvico='update bode0 set bode_ptoe="001001" where bode_ptoe is null or bode_ptoe=""';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

$sql_cxco='update caja1,caja2,vtas1 set caja1.zsub=vtas1.zsub ';
$sql_cxco.=' where caja1.idnum1=caja2.idnum2';
$sql_cxco.=' and caja2.docum=vtas1.docu';
$sql_cxco.=' and caja2.ptoem=vtas1.ptoe';
$sql_cxco.=' and caja2.numer=vtas1.numero';
$sql_cxco.=' and caja1.enti=vtas1.enti';
$res_cxco=msql_query($sql_cxco,$link_vcrx);
	
$sql_updvico='update user0 set user_tipo="sist" where user_cedula like "0915379374%" or user_cedula like"0913534061"';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

$sql_updvico='update enti0 set enti_emailce=enti_email where enti_emailce="" or enti_emailce is null ';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

$sql_updvico='update enti0 set enti_zsub="-" where enti_zsub like "" or enti_zsub is null ';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

$sql_updvico='update enti0 set enti_cdad="-" where enti_cdad like "" or enti_cdad is null ';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

$sql_updvico='update item0 set item_lsub="-" where item_lsub like "" or item_lsub is null ';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

msql_query('delete enti0 where enti_codigo like "9%" and enti_descri like "NUEVO RUC%"',$link_vcrx);
msql_query('update enti0 set enti_rise=0 where enti_rise is null',$link_vcrx);

msql_query('update item0 set item_ice=0 where item_ice is null',$link_vcrx);
msql_query('update item0 set item_status="-" where item_status is null',$link_vcrx);

 msql_query('update inve1 set status="-" where status is null',$link_vcrx);
 msql_query('update inve1 set status="-" where status =""',$link_vcrx);

 msql_query('update suco0 set suco_status="-" where suco_status is null',$link_vcrx);
 msql_query('update fpag0 set fpag_status="-" where fpag_status is null',$link_vcrx);


//  msql_query('update vtas1,docu0 set suco=docu_suco where docu=docu_codigo and suco is null or suco=""',$link_vcrx);


if($_SESSION['user_vcrx_empr']==''){$_SESSION['user_vcrx_empr']=$cfg_empr;}
echo $_SESSION['user_vcrx_empr'];
echo $cfg_empr;

if (mb_stristr('gnya.leie',substr($_SESSION['user_vcrx_empr'],0,4)))
{msql_query('update item0 set item_duni=0',$link_vcrx);}

if (mb_stristr('gmny',substr($_SESSION['user_vcrx_empr'],0,4)))
{
 msql_query('update item0 set item_duni=2 where item_codigo like "1655%"',$link_vcrx);
 msql_query('update item0 set item_descri="NR DENIM 2 C1" where item_codigo like "165573"',$link_vcrx);
}


msql_query('delete from usrt0 where usrt_codigo =""',$link_vcrx);

if (!file_exists("../imgi/")) {mkdir("../imgi/");}
if (!file_exists("../imge/")) {mkdir("../imge/");}

$sql_ecua='update enti0 set enti_pais="ECUA" where enti_pais="-" or enti_pais="" or enti_pais is null';
$res_ecua=msql_query($sql_ecua,$link_vcrx);

$sql_datesp='update empr0 set empr_ruc="'.$cfg_ruc.'" where empr_ruc="" or empr_ruc is null';
$res_datesp=msql_query($sql_datesp,$link_vcrx);

$sql_datesp='update empr0,enti0 set empr_descri=enti_descri where empr_ruc=enti_codigo and (empr_descri="" or empr_descri=empr_codigo or empr_descri like "NUEV%" or empr_descri is null )';
$res_datesp=msql_query($sql_datesp,$link_vcrx);

$sql_datesp='update empr0 set empr_ambice=1 where empr_ambice ="" or empr_ambice is null';
$res_datesp=msql_query($sql_datesp,$link_vcrx);



$sql_ustf = 'update usrt0 set usrt_cargo="XXXXXXXXX" where usrt_status="0" and timestampdiff(MINUTE,usrt_idate,now())>15'; 	



///////////////////
// ACTUALIZACIONES
///////////////////


$sql_cxco='update caja1,caja2,vtas1 set caja1.zsub=vtas1.zsub ';
$sql_cxco.=' where caja1.idnum1=caja2.idnum2';
$sql_cxco.=' and caja2.docum=vtas1.docu';
$sql_cxco.=' and caja2.ptoem=vtas1.ptoe';
$sql_cxco.=' and caja2.numer=vtas1.numero';
$sql_cxco.=' and caja1.enti=vtas1.enti';
$res_cxco=msql_query($sql_cxco,$link_vcrx);
	
// echo $sql_cxco;

//$sql_updvico='update user0 set user_tipo="admi" where user_cedula like "0915379374%" or user_cedula like"0913534061"';
//$res_updvico=msql_query($sql_updvico,$link_vcrx);

$sql_updvico='update user0 set user_tipo="sist" where user_cedula like "0915379374%" or user_cedula like"0913534061"';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

// $sql_updvico='update user0 set user_tipo="clie" where user_tipo="sist" and user_cedula not like "0915379374%" and user_cedula not like"0913534061"';
// $res_updvico=msql_query($sql_updvico,$link_vcrx);

$sql_updvico='update enti0 set enti_zsub="-" where enti_zsub like "" or enti_zsub is null ';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

$sql_updvico='update enti0 set enti_cdad="-" where enti_cdad like "" or enti_cdad is null ';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

$sql_updvico='update item0 set item_lsub="-" where item_lsub like "" or item_lsub is null ';
$res_updvico=msql_query($sql_updvico,$link_vcrx);

///////////////////
///////////////////
///////////////////


msql_query('create table tacr0 like suco0',$link_vcrx);
// msql_query('create table tvir1 like clie1',$link_vcrx);
// msql_query('create table tvir2 like clie2',$link_vcrx);

msql_query('delete enti0 where enti_codigo like "9%" and enti_descri like "NUEVO RUC%"',$link_vcrx);
msql_query('update item0 set item_ice=0 where item_ice is null',$link_vcrx);
msql_query('update item0 set item_status="-" where item_status is null',$link_vcrx);

 msql_query('update inve1 set status="-" where status is null',$link_vcrx);
 msql_query('update inve1 set status="-" where status =""',$link_vcrx);

msql_query('delete from usrt0 where usrt_codigo =""',$link_vcrx);

msql_query('update retp2 set cair="-" where puni>=30',$link_vcrx);
msql_query('update retc2 set cair="-" where puni>=30',$link_vcrx);

if (!file_exists("../imgi/")) {mkdir("../imgi/");}
if (!file_exists("../imge/")) {mkdir("../imge/");}


$sql_ecua='update enti0 set enti_pais="ECUA" where enti_pais="-" or enti_pais="" or enti_pais is null';
$res_ecua=msql_query($sql_ecua,$link_vcrx);

$sql_sntr='update sntr0,enti0 set sntr_descri=concat(sntr_vhcl," /",enti_razsoc) where sntr_seguro=enti_codigo and (sntr_descri="" or sntr_descri is null)';
$res_sntr=msql_query($sql_sntr,$link_vcrx);

$sql_datesp='update empr0,enti0 set empr_descri=enti_descri where empr_ruc=enti_codigo and (empr_descri="" or empr_codigo=empr_descri or empr_descri is null)';
$res_datesp=msql_query($sql_datesp,$link_vcrx);
// echo $sql_datesp;
// echo $res_datesp;

$sql_ustf = 'update usrt0 set usrt_cargo="XXXXXXXXX" where usrt_status="0" and timestampdiff(MINUTE,usrt_idate,now())>15'; 	


msql_query('update empr0 set empr_lguia=4 where empr_lguia=0',$link_vcrx);
msql_query('update cont1 set status="X" where docu like "DTS%" and fecha<"20170101"',$link_vcrx);


//?'*** FECHAS'
msql_query('update empr0 set empr_fcont="2000-01-01" where empr_fcont="" or empr_fcont is null',$link_vcrx);
msql_query('update empr0 set empr_fcaja="2000-01-01" where empr_fcaja="" or empr_fcaja is null',$link_vcrx);
msql_query('update empr0 set empr_fbcos="2000-01-01" where empr_fbcos="" or empr_fbcos is null',$link_vcrx);
msql_query('update empr0 set empr_finve="2000-01-01" where empr_finve="" or empr_finve is null',$link_vcrx);
msql_query('update empr0 set empr_fcxco="2000-01-01" where empr_fcxco="" or empr_fcxco is null',$link_vcrx);
msql_query('update empr0 set empr_fcxpa="2000-01-01" where empr_fcxpa="" or empr_fcxpa is null',$link_vcrx);


// LEADING ZEROS

msql_query('update enti0 set enti_descri=concat(trim(enti_ape1)," ",trim(enti_ape2)," ",trim(enti_nom1)," ",trim(enti_nom2)) where (enti_descri is null or enti_descri="" or trim(enti_codigo)=trim(enti_descri)) and enti_ape1 is not null',$link_vcrx);
msql_query('update enti0 set enti_descri=enti_razsoc where enti_descri="" or enti_descri is null',$link_vcrx);
msql_query('update enti0 set enti_direccion=concat(trim(enti_calle1),"/",trim(enti_calle2),"/",trim(enti_callen),"/",trim(enti_calle3)) where (enti_direccion is null or enti_direccion="") and enti_calle1 is not null',$link_vcrx);

msql_query('update retp2 set cant=base where cant=0 or cant is null',$link_vcrx);
msql_query('update retc2 set cant=base where cant=0 or cant is null',$link_vcrx);



// FINALIZA STATUS MAYOR A 24 HORAS
$fechaa=date('Y-m-d');
$sql_ustf = 'update modu1 set stfin=1 where idate<"'.$fechaa.'" and timestampdiff(MINUTE,idate,now())>(24*60)'; 	
msql_query(str_replace('modu1','vtas1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','comp1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','clie1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','prov1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','inve1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','guia1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','prod1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','caja1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','bcos1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','cont1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','nomi1',$sql_ustf),$link_vcrx);

$sql_ustf = 'update modu1 set fuser="AUTO", fdate=now() where stfin=1 and (fuser="" or fuser is null) and idate<"'.$fechaa.'" and timestampdiff(MINUTE,idate,now())>(24*60)'; 	
msql_query(str_replace('modu1','vtas1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','comp1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','clie1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','prov1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','inve1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','guia1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','prod1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','caja1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','bcos1',$sql_ustf),$link_vcrx);
msql_query(str_replace('modu1','cont1',$sql_ustf),$link_vcrx);
// msql_query(str_replace('modu1','nomi1',$sql_ustf),$link_vcrx);


// Actualiza Nombres en USER0
msql_query('update user0,enti0 set user_descri=concat(enti_nom1," ",enti_ape1) where user_cedula=enti_codigo and enti_ape1>""');

// AGREGA VENDEDORES
msql_query('insert into vndd0(vndd_codigo,vndd_descri) select distinct iuser, user_descri  from vtas1, user0 where trim(iuser)=trim(user_cedula) and iuser not like "" and iuser is not null and status not like "X"');


if (1==2 and (mb_stristr('pcs1.prs1',substr($_SESSION['user_vcrx_empr'],0,4))))
{
  
msql_query('update cont1,docu0 set mdfrom=upper(docu_tabla) where status!="X" and docu=docu_codigo and docu not like "DD%" and docu not like "DT%"',$link_vcrx);

// idfroms de contabilidad	
// $sql_uidf ='update cont1,modu1 set cont1.idfrom=modu1.idnum1';
// $sql_uidf.=' where cont1.docu=modu1.docu'.' and cont1.numero=modu1.numero';
// $sql_uidf.=' and cont1.fecha=modu1.fecha'.' and cont1.enti=modu1.enti';
// $sql_uidf.=' and (cont1.idfrom="" or cont1.idfrom isnull)';
// $sql_uidf.=' and cont1.status!="X"'.' and cont1.status!="O"';
// $sql_uidf.=' and modu1.status!="X"'.' and modu1.status!="O"';
	
// msql_query(str_replace('modu1','vtas1',$sql_uidf),$link_vcrx);
// msql_query(str_replace('modu1','comp1',$sql_uidf),$link_vcrx);
// msql_query(str_replace('modu1','caja1',$sql_uidf),$link_vcrx);
// msql_query(str_replace('modu1','bcos1',$sql_uidf),$link_vcrx);
// msql_query(str_replace('modu1','inve1',$sql_uidf),$link_vcrx);
// msql_query(str_replace('modu1','nomi1',$sql_uidf),$link_vcrx);
// msql_query(str_replace('modu1','retc1',$sql_uidf),$link_vcrx);
// msql_query(str_replace('modu1','retp1',$sql_uidf),$link_vcrx);

// $sql_ucair = 'update modu2,cair0 set rrta=cair_porc where trim(cair)=trim(cair_codigo)'; 	
// msql_query(str_replace('modu2','vtas2',$sql_uidf),$link_vcrx);
// msql_query(str_replace('modu2','clie2',$sql_uidf),$link_vcrx);
// msql_query(str_replace('modu2','comp2',$sql_uidf),$link_vcrx);
// msql_query(str_replace('modu2','prov2',$sql_uidf),$link_vcrx);

// msql_query('update comp2,comp1,enti0 set riva=30 where idnum1=idnum2 and enti=enti_codigo and cair="312" ',$link_vcrx);
// msql_query('update comp2,comp1,enti0 set riva=70 where idnum1=idnum2 and enti=enti_codigo and cair="303" ',$link_vcrx);
// msql_query('update comp2,comp1,enti0 set riva=70 where idnum1=idnum2 and enti=enti_codigo and cair="304" ',$link_vcrx);
// msql_query('update comp2,comp1,enti0 set riva=70 where idnum1=idnum2 and enti=enti_codigo and cair="307" ',$link_vcrx);
// msql_query('update comp2,comp1,enti0 set riva=70 where idnum1=idnum2 and enti=enti_codigo and cair="308" ',$link_vcrx);
// msql_query('update comp2,comp1,enti0 set riva=70 where idnum1=idnum2 and enti=enti_codigo and cair="309" ',$link_vcrx);
// msql_query('update comp2,comp1,enti0 set riva=70 where idnum1=idnum2 and enti=enti_codigo and cair="310" ',$link_vcrx);
	
// msql_query('update enti0 set enti_codigo=trim(enti_codigo)',$link_vcrx);
// msql_query('update ctas0 set ctas_codigo=trim(ctas_codigo)',$link_vcrx);
// msql_query('update item0 set item_codigo=trim(item_codigo)',$link_vcrx);
	
// msql_query('update enti0 set enti_descri=upper(enti_descri), enti_nom1=upper(enti_nom1), enti_nom2=upper(enti_nom2),enti_ape1=upper(enti_ape1), enti_ape2=upper(enti_ape2)',$link_vcrx);
// msql_query('update enti0 set enti_direccion=upper(enti_direccion), enti_calle1=upper(enti_calle1), enti_calle2=upper(enti_calle2),enti_callen=upper(enti_callen), enti_calle3=upper(enti_calle3)',$link_vcrx);

// msql_query('update ctas0 set ctas_descri=upper(ctas_descri)',$link_vcrx);
// msql_query('update item0 set item_descri=upper(item_descri)',$link_vcrx);

//msql_query('update enti0 set enti_struc="A" where length(trim(enti_codigo))=13',$link_vcrx);
//msql_query('update enti0 set enti_cdad=concat(left(enti_cdad,2),"-",substr(enti_cdad,3,5)) where enti_cdad not like "%-%"');
//msql_query('update enti0 set enti_descri=concat(trim(enti_ape1),' ',trim(enti_ape2),' ',trim(enti_nom1),' ',trim(enti_nom2)) where (enti_descri is null or enti_descri="") and enti_ape2 is not null',$link_vcrx);

// msql_query('update item0, item00 set item0.item_descri=item00.item_descri where left(item0.item_codigo,6)=item00.item_codigo and length(item0.item_codigo)>=6',$link_vcrx);
// msql_query('update item0 set item_bser="0"',$link_vcrx);
// msql_query('update item0 set item_bser="1" where item_codigo in (select distinct item from inve1 left join inve2 on idnum1=idnum2 where docu like "IB1%" and status!="X" and status !="O")',$link_vcrx);
}

// msql_query('update item0 set item_bser="0"',$link_vcrx);
// msql_query('update item0 set item_bser="1" where item_codigo in (select distinct item from inve1 left join inve2 on idnum1=idnum2 where docu like "IB1%" and status!="X" and status !="O")',$link_vcrx);



// INSERTS

// msql_query('insert into enti0(enti_codigo,enti_descri,enti_zsub,enti_cdad)value("9999999999999","CONSUMIDOR FINAL","-","-")',$link_vcrx);
// msql_query('insert into item0(item_codigo,item_descri,item_lsub,item_cair)value("9999999999","ITEMS VARIOS","-","-")',$link_vcrx);





if (mb_stristr('gnya.gmny',substr($_SESSION['user_vcrx_empr'],0,4)))
{msql_query('update docu0 set docu_tico="00" where docu_codigo like "NV13" and docu_tabla="vtas"',$link_vcrx);}


msql_query('update fpag0 set fpag_status="-" where fpag_status is null',$link_vcrx);

msql_query('update docu0 set docu_fpag="06" where docu_codigo like "DP%"',$link_vcrx);
msql_query('update docu0 set docu_fpag="13" where docu_codigo like "EE%"',$link_vcrx);
msql_query('update docu0 set docu_fpag="15" where docu_codigo like "CC2%"',$link_vcrx);
msql_query('update docu0 set docu_fpag="20" where docu_codigo like "CH1%"',$link_vcrx);


msql_query('update retp2,cair0 set cair=cair_codigo where puni=cair_porc and cair="-"',$link_vcrx);
msql_query('update retc2,cair0 set cair=cair_codigo where puni=cair_porc and cair="-"',$link_vcrx);

msql_query('alter table docu0 add column docu_doble char(1)',$link_vcrx);

// TICE
msql_query('update docu0 set docu_tice="01" where docu_codigo like "FC%" and (docu_tice like "" or docu_tice is null)',$link_vcrx);
msql_query('update docu0 set docu_tice="04" where docu_codigo like "NC%" and (docu_tice like "" or docu_tice is null)',$link_vcrx);
msql_query('update docu0 set docu_tice="05" where docu_codigo like "NV%" and (docu_tice like "" or docu_tice is null)',$link_vcrx);
msql_query('update docu0 set docu_tice="06" where docu_codigo like "GR%" and (docu_tice like "" or docu_tice is null)',$link_vcrx);
msql_query('update docu0 set docu_tice="07" where docu_codigo like "RP%" and (docu_tice like "" or docu_tice is null)',$link_vcrx);



if (mb_stristr('gnya.gmny',substr($_SESSION['user_vcrx_empr'],0,4)))
{
msql_query('update item0 set item_tlla=substring(item_codigo,7,2) where (item_tlla="-" or item_tlla is null) and item_codigo like "1%"',$link_vcrx);
msql_query('update item0, tlla0 set item_codigov=concat(left(item_codigo,6),left(tlla_descri,3)) where item_codigo like "1%" and substr(item_codigo,7,2)=tlla_codigo',$link_vcrx);
msql_query('update item0 set item_modelo=left(item_codigo,6) where item_codigo like "1%" and (item_modelo="" or item_modelo is null)',$link_vcrx);
}


echo '*** UPDATE OK ****'

//msql_close($link_vcrx);
?>